/*
 *      Original Author: Ben-chin Cha
 *      Date:            11-21-95
 *
 *
 * Modification Log:
 * -----------------
 * .02  mm-dd-yy        iii     Comment
 * .02  09-02-98        MLR     Added includes for WIN32, renamed from Ezca.h
 *                              to EzcaScan.h to avoid conflicts on WIN32
 */

#ifdef WIN32
#include "windows.h"
#endif

#include <dbDefs.h>
#include <cadef.h>
#include <stdio.h>
#include <string.h>
#ifdef EZCA
	#include <ezca.h>
#else 
	#define BOOL char
	#define FALSE 0
	#define TRUE 1
#endif


#define NULL            0
#define NAME_LENGTH	PVNAME_SZ+FLDNAME_SZ+2
#define CA_SUCCESS 0
#define CA_FAIL   -1
#define CA_WAIT   -2            /* error = -2 waiting for new value */
                                /* error = -1 not connected */
#define CA_ALLOC  -3            /* error = -3 calloc failed */


#define cs_never_conn   0       /* channel never conn*/
#define cs_prev_conn    1       /* channel previously  conn*/
#define cs_conn         2       /* channel conn*/
#define cs_closed       3       /* channel cleared because never conn*/

struct caGlobals {
        int CA_ERR;
        int devprflag;
        int PEND_EVENT_ON;
        float PEND_IO_TIME;
        float PEND_IOLIST_TIME;
        float PEND_EVENT_TIME;
        int version;
        };

typedef struct event_queue {
	double *pvalues;
	short maxvalues;
	short numvalues;
	short overflow;
        char *scan_names;
        char **pscan;
	} EVENT_QUEUE;

typedef struct chandata{
	struct chandata *next;
        chid chid;
        chtype type;
        evid evid;
	int state;
	int error;  
	int event;
        int status;
        int severity;
        double value; 
	char *pvalue;
	char string[MAX_STRING_SIZE]; 
	TS_STAMP stamp;
	EVENT_QUEUE *p_event_queue;
        } chandata;


